textures/urban_terror3/w2k_tree1
{
        qer_editorimage textures/urban_terror3/w2k_tree1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/urban_terror3/w2k_tree1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/urban_terror2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_terror2/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/stone/pjrock21
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/stone/pjrock21.tga
		rgbgen vertex
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/base_floor/proto_grate
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	cull none
        nopicmip

	
	{
		map textures/base_floor/proto_grate.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light1_3000
{
	qer_editorimage textures/base_light/light1.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		
		blendfunc gl_one gl_one
	}
}

textures/base_light/light5_5k
{
	qer_editorimage textures/base_light/light5.tga
	
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/base_light/light5.tga
		rgbgen identity
	}
}

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

textures/liquids/clear_calm1
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendfunc gl_dst_color gl_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	
	

}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam_1.tga
                blendfunc add
        }
}

textures/urban_terror3/chain
{
        qer_editorimage textures/urban_terror3/chain.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/urban_terror3/chain.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/voidwar/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/voidwar/blueglass.tga
		tcgen environment
		tcmod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc gl_one gl_one
                }
}

textures/voidwar/plainglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/voidwar/plainglass.tga
		tcgen environment
		blendfunc gl_one gl_one
                }
}

textures/voidwar/shiny_black
{
	qer_editorimage textures/voidwar/plainblack2.tga

			{
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity  
			}
        {
		map textures/voidwar/plainblack2.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/voidwar/plainblack2right
{
	qer_editorimage textures/voidwar/plainblack2right.tga

			{
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity  
			}
        {
		map textures/voidwar/plainblack2right.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/voidwar/plainblack2left
{
	qer_editorimage textures/voidwar/plainblack2left.tga

			{
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity  
			}
        {
		map textures/voidwar/plainblack2left.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/voidwar/shiny_flatgrate
{
	qer_editorimage textures/voidwar/flatgrate2.tga

			{
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity  
			}
        {
		map textures/voidwar/flatgrate2.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/voidwar/shiny_gratebar
{
	qer_editorimage textures/voidwar/gratebar2.tga

			{
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity  
			}
        {
		map textures/voidwar/gratebar2.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/voidwar/shiny_gray
{
	qer_editorimage textures/voidwar/flatgrey.tga

			{
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity  
			}
	{
		map textures/voidwar/flatgrey.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}

        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/voidwar/pannel-2
{
	qer_editorimage textures/voidwar/pannel-2.tga

			{
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity  
			}
	{
		map textures/voidwar/pannel-2.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}

        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/voidwar/pannel-1
{
	qer_editorimage textures/voidwar/pannel-1.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	

	{
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbgen identity
                      }

	{
		map textures/voidwar/pannel-1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}

	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}

}

textures/voidwar/banner
{
	qer_editorimage textures/voidwar/banner.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	

	{
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbgen identity
                      }

	{
		map textures/voidwar/banner.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}

	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}

}

textures/voidwar/floorlight
{
	qer_editorimage textures/voidwar/floorlight.tga
	q3map_backsplash 0 0
	q3map_surfacelight 3000
	light 1
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/voidwar/floorlight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/voidwar/floorlight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/voidwar/g_skybox
{
	qer_editorimage textures/voidwar/d_morningsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	
	q3map_sun	0.266383 0.274632 0.358662 150 60 85
	
	q3map_surfacelight 250

        skyparms env/jonas/g_morning - -
	
}

textures/voidwar/door
{
	qer_editorimage textures/voidwar/door.tga

			{
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity  
			}
	{
		map textures/voidwar/door.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}

        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/voidwar/power_generator
{

	qer_editorimage textures/urban_terror/metalcrate_rivets.tga

	
	{
		map $lightmap
		rgbgen identity
	}

	{
		map textures/urban_terror/metalcrate_rivets.tga
		blendfunc blend	
	}

	
	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}

	
	{
		map textures/sfx/electricslime2.tga
		blendfunc add
		rgbgen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcmod scroll 1 1
	}



	{
		map textures/sfx/tesla1b.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcmod scroll -2 1
	}
}

